#' @title Example subsets of a Panobinostat TPP-CCR dataset (replicates 1 and 2) and the
#'   corresponding configuration tables to start the analysis.
#' @name hdacCCR_smallExample
#' @docType data
NULL
#' 
#' @rdname hdacCCR_data_repl1
#' @name hdacCCR_data_repl1
#' @title TPP-CCR example dataset (replicate 1)
#' @description Example subset of a Panobinostat TPP-CCR dataset (replicate 1)
#' @details A subset of a dataset obtained by TPP-CCR experiments to 
#'   investigate drug effects for HDAC inhibitor Panobinostat. It contains 7 
#'   HDACs as well as a random selection of 493 further proteins.
#'   
#'   You can use this dataset to explore the \code{\link{TPP}} package 
#'   functionalities without invoking the whole time consuming analysis on the 
#'   big dataset.
#'   
#'   The originial dataset is located in the folder 
#'   \code{'example_data/CCR_example_data'} in the package's installation 
#'   directory. You can find it on your system by the \code{R} command 
#'   \code{system.file('example_data', package = 'TPP')}.
NULL
#'
#' @rdname hdacCCR_data_repl2
#' @name hdacCCR_data_repl2
#' @title TPP-CCR example dataset (replicate 2)
#' @description Example subset of a Panobinostat TPP-CCR dataset (replicate 2)
#' @details A subset of a dataset obtained by TPP-CCR experiments to investigate 
#'  drug effects for HDAC inhibitor Panobinostat. It contains 7 HDACs as well as
#'  a random selection of 493 further proteins.
#'  
#'  You can use this dataset to explore the \code{\link{TPP}} package
#'  functionalities without invoking the whole time consuming analysis on the 
#'  big dataset.
#'  
#'  The originial dataset is located in the folder 
#'  \code{'example_data/CCR_example_data'} in the package's installation 
#'  directory. You can find it on your system by the \code{R} command 
#'  \code{system.file('example_data', package = 'TPP')}.
NULL
#' @rdname hdacCCR_config_repl1
#' @name hdacCCR_config_repl1
#' @title The configuration table to analyze \link{hdacCCR_data_repl1}.
#' @description The configuration table to analyze \link{hdacCCR_data_repl1}.
#' @details \code{hdacCCR_config_repl1} is a data frame that specifies the experiment
#'  name, isobaric labels, and the administered drug concentrations at each
#'  label.
NULL
#' 
#' @rdname hdacCCR_config_repl2
#' @name hdacCCR_config_repl2
#' @title The configuration table to analyze \link{hdacCCR_data_repl2}.
#' @description The configuration table to analyze \link{hdacCCR_data_repl2}.
#' @details \code{hdacCCR_config_repl2} is a data frame that specifies the experiment
#'  name, isobaric labels, and the administered drug concentrations at each
#'  label.
NULL